"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.walker = exports.JOIN_SEPARATOR = exports.hintedWalker = exports.CompoundWordsMethod = exports.FLAG_WORD = exports.ChildMap = exports.TrieBuilder = exports.buildTrieFast = exports.buildTrie = exports.walk = exports.trieNodeToRoot = exports.orderTrie = exports.normalizeWordToLowercase = exports.normalizeWordForCaseInsensitive = exports.normalizeWord = exports.mergeOptionalWithDefaults = exports.mergeDefaults = exports.iteratorTrieWords = exports.iterateTrie = exports.isWordTerminationNode = exports.isDefined = exports.isCircular = exports.insert = exports.has = exports.findNode = exports.createTriFromList = exports.createTrieRoot = exports.countWords = exports.countNodes = exports.Trie = exports.OPTIONAL_COMPOUND_FIX = exports.OPTIONAL_COMPOUND = exports.NORMALIZED = exports.FORBID_PREFIX = exports.FORBID = exports.defaultTrieOptions = exports.COMPOUND_FIX = exports.COMPOUND = exports.CASE_INSENSITIVE_PREFIX = exports.suggestionCollector = exports.impersonateCollector = exports.parseDictionaryLines = exports.parseDictionary = exports.mapDictionaryInformationToWeightMap = exports.serializeTrie = exports.importTrie = exports.editDistanceWeighted = exports.editDistance = exports.createWeightedMap = exports.consolidate = void 0;
exports.WORD_SEPARATOR = void 0;
var consolidate_1 = require("./consolidate");
Object.defineProperty(exports, "consolidate", { enumerable: true, get: function () { return consolidate_1.consolidate; } });
var distance_1 = require("./distance");
Object.defineProperty(exports, "createWeightedMap", { enumerable: true, get: function () { return distance_1.createWeightedMap; } });
Object.defineProperty(exports, "editDistance", { enumerable: true, get: function () { return distance_1.editDistance; } });
Object.defineProperty(exports, "editDistanceWeighted", { enumerable: true, get: function () { return distance_1.editDistanceWeighted; } });
var importExport_1 = require("./io/importExport");
Object.defineProperty(exports, "importTrie", { enumerable: true, get: function () { return importExport_1.importTrie; } });
Object.defineProperty(exports, "serializeTrie", { enumerable: true, get: function () { return importExport_1.serializeTrie; } });
var mapDictionaryInfoToWeightMap_1 = require("./mappers/mapDictionaryInfoToWeightMap");
Object.defineProperty(exports, "mapDictionaryInformationToWeightMap", { enumerable: true, get: function () { return mapDictionaryInfoToWeightMap_1.mapDictionaryInformationToWeightMap; } });
var SimpleDictionaryParser_1 = require("./SimpleDictionaryParser");
Object.defineProperty(exports, "parseDictionary", { enumerable: true, get: function () { return SimpleDictionaryParser_1.parseDictionary; } });
Object.defineProperty(exports, "parseDictionaryLines", { enumerable: true, get: function () { return SimpleDictionaryParser_1.parseDictionaryLines; } });
var suggestCollector_1 = require("./suggestCollector");
Object.defineProperty(exports, "impersonateCollector", { enumerable: true, get: function () { return suggestCollector_1.impersonateCollector; } });
Object.defineProperty(exports, "suggestionCollector", { enumerable: true, get: function () { return suggestCollector_1.suggestionCollector; } });
var trie_1 = require("./trie");
Object.defineProperty(exports, "CASE_INSENSITIVE_PREFIX", { enumerable: true, get: function () { return trie_1.CASE_INSENSITIVE_PREFIX; } });
Object.defineProperty(exports, "COMPOUND", { enumerable: true, get: function () { return trie_1.COMPOUND; } });
Object.defineProperty(exports, "COMPOUND_FIX", { enumerable: true, get: function () { return trie_1.COMPOUND_FIX; } });
Object.defineProperty(exports, "defaultTrieOptions", { enumerable: true, get: function () { return trie_1.defaultTrieOptions; } });
Object.defineProperty(exports, "FORBID", { enumerable: true, get: function () { return trie_1.FORBID; } });
Object.defineProperty(exports, "FORBID_PREFIX", { enumerable: true, get: function () { return trie_1.FORBID_PREFIX; } });
Object.defineProperty(exports, "NORMALIZED", { enumerable: true, get: function () { return trie_1.NORMALIZED; } });
Object.defineProperty(exports, "OPTIONAL_COMPOUND", { enumerable: true, get: function () { return trie_1.OPTIONAL_COMPOUND; } });
Object.defineProperty(exports, "OPTIONAL_COMPOUND_FIX", { enumerable: true, get: function () { return trie_1.OPTIONAL_COMPOUND_FIX; } });
Object.defineProperty(exports, "Trie", { enumerable: true, get: function () { return trie_1.Trie; } });
var trie_util_1 = require("./trie-util");
Object.defineProperty(exports, "countNodes", { enumerable: true, get: function () { return trie_util_1.countNodes; } });
Object.defineProperty(exports, "countWords", { enumerable: true, get: function () { return trie_util_1.countWords; } });
Object.defineProperty(exports, "createTrieRoot", { enumerable: true, get: function () { return trie_util_1.createTrieRoot; } });
Object.defineProperty(exports, "createTriFromList", { enumerable: true, get: function () { return trie_util_1.createTriFromList; } });
Object.defineProperty(exports, "findNode", { enumerable: true, get: function () { return trie_util_1.findNode; } });
Object.defineProperty(exports, "has", { enumerable: true, get: function () { return trie_util_1.has; } });
Object.defineProperty(exports, "insert", { enumerable: true, get: function () { return trie_util_1.insert; } });
Object.defineProperty(exports, "isCircular", { enumerable: true, get: function () { return trie_util_1.isCircular; } });
Object.defineProperty(exports, "isDefined", { enumerable: true, get: function () { return trie_util_1.isDefined; } });
Object.defineProperty(exports, "isWordTerminationNode", { enumerable: true, get: function () { return trie_util_1.isWordTerminationNode; } });
Object.defineProperty(exports, "iterateTrie", { enumerable: true, get: function () { return trie_util_1.iterateTrie; } });
Object.defineProperty(exports, "iteratorTrieWords", { enumerable: true, get: function () { return trie_util_1.iteratorTrieWords; } });
Object.defineProperty(exports, "mergeDefaults", { enumerable: true, get: function () { return trie_util_1.mergeDefaults; } });
Object.defineProperty(exports, "mergeOptionalWithDefaults", { enumerable: true, get: function () { return trie_util_1.mergeOptionalWithDefaults; } });
Object.defineProperty(exports, "normalizeWord", { enumerable: true, get: function () { return trie_util_1.normalizeWord; } });
Object.defineProperty(exports, "normalizeWordForCaseInsensitive", { enumerable: true, get: function () { return trie_util_1.normalizeWordForCaseInsensitive; } });
Object.defineProperty(exports, "normalizeWordToLowercase", { enumerable: true, get: function () { return trie_util_1.normalizeWordToLowercase; } });
Object.defineProperty(exports, "orderTrie", { enumerable: true, get: function () { return trie_util_1.orderTrie; } });
Object.defineProperty(exports, "trieNodeToRoot", { enumerable: true, get: function () { return trie_util_1.trieNodeToRoot; } });
Object.defineProperty(exports, "walk", { enumerable: true, get: function () { return trie_util_1.walk; } });
var TrieBuilder_1 = require("./TrieBuilder");
Object.defineProperty(exports, "buildTrie", { enumerable: true, get: function () { return TrieBuilder_1.buildTrie; } });
Object.defineProperty(exports, "buildTrieFast", { enumerable: true, get: function () { return TrieBuilder_1.buildTrieFast; } });
Object.defineProperty(exports, "TrieBuilder", { enumerable: true, get: function () { return TrieBuilder_1.TrieBuilder; } });
var TrieNode_1 = require("./TrieNode");
Object.defineProperty(exports, "ChildMap", { enumerable: true, get: function () { return TrieNode_1.ChildMap; } });
Object.defineProperty(exports, "FLAG_WORD", { enumerable: true, get: function () { return TrieNode_1.FLAG_WORD; } });
var walker_1 = require("./walker");
Object.defineProperty(exports, "CompoundWordsMethod", { enumerable: true, get: function () { return walker_1.CompoundWordsMethod; } });
Object.defineProperty(exports, "hintedWalker", { enumerable: true, get: function () { return walker_1.hintedWalker; } });
Object.defineProperty(exports, "JOIN_SEPARATOR", { enumerable: true, get: function () { return walker_1.JOIN_SEPARATOR; } });
Object.defineProperty(exports, "walker", { enumerable: true, get: function () { return walker_1.walker; } });
Object.defineProperty(exports, "WORD_SEPARATOR", { enumerable: true, get: function () { return walker_1.WORD_SEPARATOR; } });
//# sourceMappingURL=index.js.map